19 Feb 2025

#### Bug fixes

**General**

 - Fix race when setting wireguard NAPI setting that could cause the NAPI setting not to be applied for several minutes. [calico #9802](https://github.com/projectcalico/calico/pull/9802) (@fasaxc)
 - Fix that libcalico-go would not always fill in the revision when listing certain resources (or single instances of certain resources).  This could result in missed watch events in components such as Typha. [calico #9690](https://github.com/projectcalico/calico/pull/9690) (@fasaxc)
 - Fix that non-amd64 builds of node-driver-registrar contained x86 binaries. [calico #9602](https://github.com/projectcalico/calico/pull/9602) (@caseydavenport)
 - Fix that in-use VXLAN ARP entries could be repeatedly cleaned up and then re-added if they shared a MAC address with an stale entry that was supposed to be cleaned up. [calico #9583](https://github.com/projectcalico/calico/pull/9583) (@fasaxc)
 - Fix a panic in Felix when accessing a nil address in flushing host addresses, i.e. flushHostIPUpdates function. [calico #9489](https://github.com/projectcalico/calico/pull/9489) (@mazdakn)
 - Fix missing routes when vxlan mode is cross-subnet and the environment is purely V6 (no V4 host addresses) [calico #9420](https://github.com/projectcalico/calico/pull/9420) (@tomastigera)
 - Add setting to enable wireguard NAPI threading [calico #9415](https://github.com/projectcalico/calico/pull/9415) (@jrcichra)
 - Fix spurious warning about unexpected inserted rules. [calico #9398](https://github.com/projectcalico/calico/pull/9398) (@fasaxc)

**eBPF data plane**

 - fix icmp error delivery to host networked pods [calico #9757](https://github.com/projectcalico/calico/pull/9757) (@tomastigera)
 - Fixed memory leak in BPF endpoint manager. [calico #9308](https://github.com/projectcalico/calico/pull/9308) (@tomastigera)
 - fix applying and removing log filters [calico #9148](https://github.com/projectcalico/calico/pull/9148) (@tomastigera)


#### Other changes

 - Update Helm chart README with instructions for how to upgrade CRDs. [calico #9556](https://github.com/projectcalico/calico/pull/9556) (@venkatamutyala)
 - To reduce manifest size on OCP installations, the manifests no longer includes CustomResourceDefinitions. Instead, the tigera-operator pod will deploy these resources on startup. [calico #9548](https://github.com/projectcalico/calico/pull/9548) (@coutinhop)